► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Init Libraries
14 | Platform Dependencies
| Index

▼ | 3 | Windowing Classes

3.1 | area<%>
3.2 | area-container<%>
3.3 | area-container-window<%>
3.4 | button%
3.5 | canvas<%>
3.6 | canvas%
3.7 | check-box%
3.8 | checkable-menu-item%
3.9 | choice%
3.10 | clipboard-client%
3.11 | clipboard<%>
3.12 | combo-field%
3.13 | control<%>
3.14 | column-control-event%
3.15 | control-event%
3.16 | cursor%
3.17 | dialog%
3.18 | event%
3.19 | frame%
3.20 | gauge%
3.21 | group-box-panel%
3.22 | grow-box-spacer-pane%
3.23 | horizontal-pane%
3.24 | horizontal-panel%
3.25 | key-event%
3.26 | labelled-menu-item<%>
3.27 | list-box%
3.28 | list-control<%>
3.29 | menu%
3.30 | menu-bar%
3.31 | menu-item<%>
3.32 | menu-item%
3.33 | menu-item-container<%>
3.34 | message%
3.35 | mouse-event%
3.36 | pane%
3.37 | panel%
3.38 | popup-menu%
3.39 | printer-dc%
3.40 | radio-box%
3.41 | selectable-menu-item<%>
3.42 | separator-menu-item%
3.43 | scroll-event%
3.44 | slider%
3.45 | subarea<%>
3.46 | subwindow<%>
3.47 | tab-panel%
3.48 | text-field%
3.49 | timer%
3.50 | top-level-window<%>
3.51 | vertical-pane%
3.52 | vertical-panel%
3.53 | window<%>

On this page:

new
get-range
get-value
set-range
set-value

Inherited methods:
from control<%>
command
from subwindow<%>
reparent
from window<%>
accept-drop-files
client->screen
enable
focus
get-client-handle
get-client-size
get-cursor
get-handle
get-height
get-label
get-plain-label
get-size
get-width
get-x
get-y
has-focus?
is-enabled?
is-shown?
on-drop-file
on-focus
on-move
on-size
on-subwindow-char
on-subwindow-event
on-subwindow-focus
on-superwindow-activate
on-superwindow-enable
on-superwindow-show
popup-menu
refresh
screen->client
set-cursor
set-label
show
warp-pointer
wheel-event-mode
from area<%>
get-graphical-min-size
get-parent
get-top-level-window
min-height
min-width
stretchable-height
stretchable-width
from subarea<%>
horiz-margin
vert-margin

top ← prev up next →

> class

> gauge% : class?

superclass: object%

extends: | control<%>

A gauge is a horizontal or vertical bar for displaying the output value of a bounded integer quantity. Each gauge has an adjustable range, and the gauge’s current value is always between 0 and its range, inclusive. Use set-value to set the value of the gauge.

> > constructor

> > (new gauge% |
> > |  | [label label] |
> > |  | [range range] |
> > |  | [parent parent] |
> > | [ | [style style] |
> > |  | [font font] |
> > |  | [enabled enabled] |
> > |  | [vert-margin vert-margin] |
> > |  | [horiz-margin horiz-margin] |
> > |  | [min-width min-width] |
> > |  | [min-height min-height] |
> > |  | [stretchable-width stretchable-width] |
> > |  | [stretchable-height stretchable-height]]) |

> → (is-a?/c gauge%)
> label : (or/c label-string? #f)
> range : positive-dimension-integer?

> parent

> :

> (or/c (is-a?/c frame%) (is-a?/c dialog%)
> (is-a?/c panel%) (is-a?/c pane%))

> style

> :

> (listof (or/c 'horizontal 'vertical
> 'vertical-label 'horizontal-label
> 'deleted))

> |  |  | = |  | '(horizontal)

> font : (is-a?/c font%) = normal-control-font
> enabled : any/c = #t
> vert-margin : spacing-integer? = 2
> horiz-margin : spacing-integer? = 2
> min-width : (or/c dimension-integer? #f) = #f
> min-height : (or/c dimension-integer? #f) = #f
> stretchable-width : any/c = (memq 'horizontal style)
> stretchable-height : any/c = (memq 'vertical style)

If label is a string, it is used as the gauge label; otherwise the gauge does not display a label.

If & occurs in label, it is specially parsed; under Windows and X, the character following & is underlined in the displayed control to indicate a keyboard mnemonic. (Under Mac OS, mnemonic underlines are not shown.) The mnemonic is meaningless for a gauge (as far as on-traverse-char in top-level-window<%> is concerned), but it is supported for consistency with other control types. A programmer may assign a meaning to the mnemonic (e.g., by overriding on-traverse-char).

The range argument is an integer specifying the maximum value of the gauge (inclusive). The minimum gauge value is always 0.

The style list must include either 'horizontal, specifying a horizontal gauge, or 'vertical, specifying a vertical gauge. If style includes 'vertical-label, then the gauge is created with a label above the control; if style does not include 'vertical-label (and optionally includes 'horizontal-label), then the label is created to the left of the gauge. If style includes 'deleted, then the gauge is created as hidden, and it does not affect its parent’s geometry; the gauge can be made active later by calling parent’s add-child method.

The font argument determines the font for the control. For information about the enabled argument, see window<%>. For information about the horiz-margin and vert-margin arguments, see subarea<%>. For information about the min-width, min-height, stretchable-width, and stretchable-height arguments, see area<%>.

> > method

> > (send a-gauge get-range) → positive-dimension-integer?

Returns the range (maximum value) of the gauge.

> > method

> > (send a-gauge get-value) → dimension-integer?

Returns the gauge’s current value.

> > method

> > (send a-gauge set-range range) → void?

> range : positive-dimension-integer?

Sets the range (maximum value) of the gauge.

> > method

> > (send a-gauge set-value pos) → void?

> pos : dimension-integer?

Sets the gauge’s current value. If the specified value is larger than the gauge’s range, an exn:fail:contract exception is raised.
top ← prev up next →